# $Revision: 1.14 $, $Date: 2008-05-08 19:19:55 $
%define		snap	20080508
Summary:	Device information for HAL
Summary(pl.UTF-8):	Informacje o urządzeniach dla HAL-a
Name:		hal-info
Version:	0.0
Release:	0.%{snap}.1
License:	AFL v2.1 or GPL v2
Group:		Libraries
Source0:	http://hal.freedesktop.org/releases/%{name}-%{snap}.tar.gz
# Source0-md5:	6fc99d15d38945c17a291ea93e664664
Patch0:		hal-samsung_yp_z5.patch
URL:		http://freedesktop.org/Software/hal
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	hal-devel >= 0.5.10
BuildRequires:	pkgconfig
Requires:	hal >= 0.5.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
hal-info contains device information for HAL.

%description -l pl.UTF-8
hal-info zawiera informacje o urządzeniach dla HAL-a.

%prep
%setup -q -n %{name}-%{snap}
%patch0 -p1

[ -f VERSION ] && exit 1
echo %{snap} > VERSION

%build
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%{_datadir}/hal/fdi/information/10freedesktop/*.fdi
%{_datadir}/hal/fdi/preprobe/10osvendor/*.fdi

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hal-info.spec,v $
Revision 1.14  2008-05-08 19:19:55  patrys
- 20080508

Revision 1.13  2008-04-22 20:50:56  patrys
- 20080317

Revision 1.12  2008-02-19 23:15:11  patrys
- 20080215

Revision 1.11  2007-12-13 08:46:46  patrys
- 20071212

Revision 1.10  2007-11-09 09:40:01  arekm
- up to 20071030

Revision 1.9  2007/10/29 22:17:37  qboosh
- BR: pkgconfig, hal-devel >= 0.5.10 (for configure check)
- require new hal

Revision 1.8  2007/10/14 12:49:33  wolf
- 20071011

Revision 1.7  2007/09/26 13:15:37  patrys
- 20070925

Revision 1.6  2007/09/08 14:03:34  qboosh
- updated to 20070831

Revision 1.5  2007/07/07 00:22:35  qboosh
- updated to 20070618

Revision 1.4  2007/05/24 21:24:58  qboosh
- updated samsung_yp_z5 patch
- libtool is not used here

Revision 1.3  2007/05/24 21:10:52  qboosh
- pl

Revision 1.2  2007/05/24 17:29:13  qboosh
- hal-samsung_yp_z5 patch belongs to hal-info now (but needs update)

Revision 1.1  2007/05/21 12:04:11  patrys
- initial release
